help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: eclim without jde?


From: Richard Riley
Subject: Re: eclim without jde?
Date: Sun, 15 Aug 2010 18:30:08 +0200
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.50 (gnu/linux)

Andrea Crotti <address@hidden> writes:

> Richard Riley <address@hidden> writes:
>
>>
>> You have it working? I ask because eclim completion candidates are
>> generated in auto-complete-config which imports decompile/jde and as I
>> said jde is not compatible with emacs 23.2 onwards which ship with their
>> own cedet.
>
> I can load eclim without problems, I added this to my conf
>



>
>
>
> --8<---------------cut here---------------start------------->8---
> (add-to-list 'load-path (make-conf-path "emacs-eclim/"))
> ;; only add the vendor path when you want to use the libraries provided with 
> emacs-eclim
> (add-to-list 'load-path (make-conf-path "emacs-eclim/vendor"))
> ;; use it a hook instead with the java mode
>
> ;; TODO: maybe worth using on other modes also
> (add-hook 'java-mode-hook
>           '(lambda ()
>              (require 'eclim)
>              (setq eclim-auto-save t)
>              (eclim-mode 1)))
> --8<---------------cut here---------------end--------------->8---
>
>
>
> but I'm not sure it really works since for some reasons the eclimd stops
> automatically, I get this below
> But probably is just a problem of eclipse/eclim configuration


The issue is with auto-completion.

Just including eclim doesnt suddenly make auto completion work.




reply via email to

[Prev in Thread] Current Thread [Next in Thread]